%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           gnome-clocks
Version:        0.1.4
Release:        1%{?dist}
Summary:        Clock application designed for GNOME 3

License:        GPLv2+
URL:            https://live.gnome.org/GnomeClocks
Source0:        http://download.gnome.org/sources/gnome-clocks/0.1/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python2-devel python-distutils-extra
BuildRequires:  intltool desktop-file-utils
Requires:       pygobject3 pyxdg clutter-gtk libgweather
Requires:       pycanberra

%description
Clock application designed for GNOME 3

%prep
%setup -q
rm -fv  gnomeclocks/pycanberra.py

%build
%{__python} setup.py build

%install
# with --skip-build some stuff is not installed, remove it for now
%{__python} setup.py install --root $RPM_BUILD_ROOT
rm -r $RPM_BUILD_ROOT/%{_datadir}/doc
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-clocks.desktop
%find_lang gnome-clocks

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f gnome-clocks.lang
%doc COPYING README NEWS
%{_bindir}/gnome-clocks
%{python_sitelib}/*
%{_datadir}/gnome-clocks
%{_datadir}/icons/hicolor/*/apps/clocks.png
%{_datadir}/applications/gnome-clocks.desktop


%changelog
* Tue Oct 16 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.4-1
- Update to 0.1.4

* Mon Oct  1 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.3-2
- Add packaging snippets to update the icon cache

* Thu Sep 27 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.3-1
- Update to 0.1.3

* Wed Sep 26 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.2-3
- Actually update the License tag

* Wed Sep 26 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.2-2
- Use packaged pycanberra

* Wed Sep 26 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.2-1
- Latest from upstream - 0.1.2

* Sat Sep 15 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.1-2
- Address review issues. Separate bundled pycanberra licensing

* Thu Sep 13 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.1-1
- Package for review
